## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname geodatasets

Name:           python-%{srcname}
Version:        2023.12.0
Release:        %autorelease
Summary:        Spatial data examples

License:        BSD-3-Clause
URL:            https://github.com/geopandas/geodatasets
Source0:        %pypi_source geodatasets

BuildArch:      noarch

BuildRequires:  python3-devel
# Test requirements
BuildRequires:  python3-geopandas
BuildRequires:  python3-pytest

%global _description %{expand:
Fetch links or download and cache spatial data example files.

The geodatasets contains an API on top of a JSON with metadata of externally
hosted datasets containing geospatial information useful for illustrative and
educational purposes.}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
%{pytest} -m 'not request'

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2023.12.0-1
- import rhbz#2253837
## END: Generated by rpmautospec
